%define anolis_release 1

%global srcname yamlloader

Name:           python-%{srcname}
Version:        1.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Ordered YAML loader and dumper for PyYAML

License:	MIT
URL:		https://github.com/Phynix/yamlloader
Source0:	%{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pytest

%description
This module provides loaders and dumpers for PyYAML.
Currently, an OrderedDict loader/dumper is implemented,
allowing to keep items order when loading resp.
dumping a file from/to an OrderedDict
(Python 3.7+: Also regular dicts are supported 
and are the default items to be loaded to.
As of Python 3.7 preservation of insertion
order is a language feature of regular dicts.)

%package -n python3-%{srcname}
Summary:	%{summary}

%description -n python3-%{srcname}
This module provides loaders and dumpers for PyYAML.
Currently, an OrderedDict loader/dumper is implemented,
allowing to keep items order when loading resp.
dumping a file from/to an OrderedDict
(Python 3.7+: Also regular dicts are supported 
and are the default items to be loaded to.
As of Python 3.7 preservation of insertion
order is a language feature of regular dicts.)

%package -n python3-%{srcname}-doc
Summary:        Doc files for python3-%{srcname}
Requires:       python3-%{srcname} = %{EVR}
BuildArch:      noarch

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}

%files -n python3-%{srcname}-doc
%doc README.rst



%changelog
* Sun Mar 26 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1.0-1
- init from upstream
